pro go_findstuff_dbase,_extra=_extra

fsdb='/u1/sswarch/yoarch/fsdb'

diskstuff=[1,0,0,0]
darkstuff=[1,0,0,0]
lowcut=[1,15,500,1000]
hicut= [15,500,1000,50000]
rlimit=256/n_elements(lowcut)

filts=['AM','A1']

mnts=get_month(indgen(12),/trunc)
years=strtrim(indgen(11)+1991,2)
t0=str_perm('1-'+mnts+'-',years)
t0=t0(sort(anytim(t0)))

for filt=0,1 do begin 
fname=filts(filt)

   for i=0,n_elements(t0)-2 do begin 
      estring='files=crb_files(t0(i),t0(i+1),/'+fname+',/half)
      estat=execute(estring)
      if files(0) ne '' then begin 
         delvarx,catstruct
         for f=0,n_elements(files)-1 do begin 
            mreadfits,files(f),index,data
            for tlev=0,n_elements(lowcut)-1 do begin
               if tlev eq 0 then delvarx,addblob

;              find the regions for this parameter set
               ssw_findstuff,index,data,lowcut=lowcut(tlev),hicut=hicut(tlev),$
                  _extra=_extra,region,rinfo, $
                  diskstuff=diskstuff(tlev), darkstuff=darkstuff(tlev)

;              reorder the catalog based on some paramter (area...)
               ssw_findstuff_bloborder, rinfo, region, outrinfo, outblob, $
                  addblob=addblob,rstart=tlev*rlimit, _extra=_extra
;              
               outrinfo=add_tag(outrinfo,lowcut(tlev),'lowcut')
               outrinfo=add_tag(outrinfo,hicut(tlev),'hicut')
               outrinfo=add_tag(outrinfo,byte(diskstuff(tlev)),'diskstuff')
               outrinfo=add_tag(outrinfo,byte(darkstuff(tlev)),'darkstuff')

;              append catalog vector
               if n_elements(catstruct) eq 0 then catstruct=outrinfo else $
                  catstruct=concat_struct(catstruct,outrinfo)

;              update dbase index w/history                
               stop,'index->fits' 
            endfor
         endfor
      endif
   endfor  
endfor     ; end of filter loop 

end
